summaryrefslogtreecommitdiffhomepage
path: root/make-tar.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make-tar.sh')
-rw-r--r--make-tar.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/make-tar.sh b/make-tar.sh
index e831f16a..82afd67e 100644
--- a/make-tar.sh
+++ b/make-tar.sh
@@ -4,6 +4,7 @@ prefix="$1"
filename="$2"
bin="$3"
+cmake "$bin" || exit 1
cmake --build "$bin" --target install || exit 1
if : &&
@@ -13,10 +14,12 @@ then
case "$USER,$(uname -s)" in
# for the script see https://github.com/andreafabrizi/Dropbox-Uploader
sthalik,CYGWIN_*)
- dropbox_uploader.sh -p upload "$filename" / &&
- l="$(dropbox_uploader.sh share "/$filename")" &&
- f="$(echo "$l" | tr -d '\n\r' | egrep -o 'https://[^ ]+$')" &&
- test -n "$f" && { echo "$f"; echo -n "$f" | putclip; }
+ set -x
+ dropbox_uploader.sh -p upload "$filename" /
+ l="$(dropbox_uploader.sh -q share "/$filename")"
+ set +x
+ test -n "$l" && echo -n "$l" | putclip
+ echo $l
echo -ne '\a' ;;
*) ls -lh -- "${filename}" ;;
esac